MADISON-LITE(1)

NAME
madison-lite - display versions of Debian packages in an archive

SYNOPSIS
madison-lite [- -config-file file] [- -mirror directory] [- -nocache] [- -update] [-S] [-r] [-a architecture[,...]] [-c component[,...]] [-s suite[,...]] package [...]

DESCRIPTION
madison-lite inspects a local Debian package archive and displays the versions of the given packages found in each suite (for example, stable, testing, or unstable) in a brief but easily human-readable form. It aims to be a drop-in replacement for the madison utility (since renamed to dak ls), from the dak archive management suite that runs on the central Debian archive systems, but one which can run without access to the archive's SQL database.

The following options are available:

- -config-file file
    Read configuration from file, and ignore the system configuration file (see CONFIGURATION below).

- -mirror directory
    Quick configuration: use directory as the top level of the Debian mirror.

- -nocache
    Normally, parts of the Packages and Sources files in the archive are cached in ~/.madison-lite/cache for speed. This option disables that behaviour.

- -update
    Force caches of Packages and Sources files to be updated.

-S, - -source-and-binary
    Interpret package as a source package name, and display versions of any associated binary packages as well as of the source package.

-r, - -regex
    Interpret package as a Perl regular expression anchored at the start of the package name rather than as an exact name. Make sure to quote any shell metacharacters such as ‘*’ or ‘’? if necessary.

-a, - -architecture architecture[,...]
    Display only entries for packages built for these architectures. Separate multiple architectures with commas or spaces.

-c, - -component component[,...]
    Display only entries in the given components. Separate multiple components with commas or spaces.

-s, - -suite suite[,...]
    Display only entries in the given suites. Separate multiple suites with commas or spaces.

CONFIGURATION
madison-lite reads configuration information from the file named by - -config-file, or, if that is not supplied, from the first of ~/.madison-lite/config and /etc/madison-lite/config that exists.

The following configuration directives are recognized:

mirror directory
    Set the top-level directory of the local Debian mirror. Relative directories in the suite directive are interpreted relative to this directory. Defaults to the current directory.

suite name directory [component [...]]
    Defines the suite name based at directory, containing the specified components (defaulting to all subdirectories of directory). Output is displayed following the order of suite directives in the configuration file. If no suite directives are present, then every subdirectory of the dists directory under mirror is treated as a suite, with all of their subdirectories as components.

    The Debian archive is structured such that the subdirectories of each suite directory identify components (such as main). Each of those in turn has subdirectories for each architecture (binary-i386, and so on), each of which contains any or all of Packages, Packages.gz, Packages.bz2, and Packages.xz files listing binary packages; it also has a subdirectory called source which contains any or all of Sources, Sources.gz, Sources.bz2, and Sources.xz files listing source packages.

The configuration file may contain comment lines, which start with a ‘#’ character.

EXAMPLES
Show versions of the coreutils package:

    $ madison-lite coreutils

Show versions of all binary packages on powerpc produced by the glibc source package:

    $ madison-lite -S -a powerpc glibc

Show versions of all packages in the unstable suite whose names begin with ‘man’:

    $ madison-lite -s unstable -r 'man.*'

An example configuration file for a simple local mirror:

    mirror /mirror/debian
    suite unstable dists/unstable main
    suite unstable-non-US non-US/dists/unstable non-US/main

SEE ALSO
dpkg-scanpackages(8), dpkg-scansources(8), apt-ftparchive(1)

AUTHORS
-nosplit madison-lite was written by Colin Watson <cjwatson@debian.org>. The interface mirrors that of madison (since renamed to dak ls), written by James Troup.